﻿using System;

namespace Entity.Validation.Core
{
    public class ValidateFieldAttribute : Attribute
    {
        public bool IsRequired { get; set; }
        public bool IsEmail { get; set; }
        public bool IsCreditCard { get; set; }

        public string RegexString { get; set; }
        public string FriendlyPropertyName { get; set; }

        public int MaxLength { get; set; }
        public int MinLength { get; set; }
        public int ExactLength { get; set; }

        public int LessThan { get; set; }
        public int GreaterThan { get; set; }

        public int LessThanOrEqual { get; set; }
        public int GreaterThanOrEqual { get; set; }
    }
}